<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
  <s:Header>
    <Action s:mustUnderstand="1" xmlns="http://schemas.microsoft.com/ws/2005/05/addressing/none">http://micros-hosting.com/EGateway/GetChecks</Action>
  </s:Header>
  <s:Body xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <GetChecks xmlns="http://micros-hosting.com/EGateway/">
      <ppCheckFilter>
        {%- if check_num is not none %}
        <CheckNumbers><int>{{ check_num }}</int></CheckNumbers>
        {%- endif %}
        {%- if lookup_start_date is not none %}
        <LookUpStartDate>{{ lookup_start_date }}</LookUpStartDate>
        {%- endif %}
        <IncludeClosedCheck>{{ include_closed_check }}</IncludeClosedCheck>
      </ppCheckFilter>
      <ppChecksResponse />
    </GetChecks>
  </s:Body>
</s:Envelope>